#include <iostream>
#include <map>
#include <set>
#include <iomanip>

using namespace std;

int N;
double A[200000], P[200000],suma,maxsuma;
multimap<double,double>mapa;
set<double>procenti;

int main(){

    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    cin>>N;
    for(int i=0;i<N;i++){
        cin>>A[i]>>P[i];
        mapa.insert(make_pair(P[i],A[i]));
        procenti.insert(P[i]);
    }
    for(int i=0;i<N;i++){
        suma=0;
        for(int j=0;j<N;j++){
            if(P[j]>=P[i]){
                suma+=P[i]*A[j]/100.0;
            }
        }
        maxsuma=max(suma,maxsuma);
    }

    cout<<fixed<<setprecision(20)<<maxsuma;

}